from netforce.model import Model, fields

class ScheduleLine(Model):
    _name="clinic.schedule.line"
    _string="Schedule Line"
    
    def _get_level(self,ids,context={}):
        res={}
        for obj in self.browse(ids):
            res[obj.id]=obj.nurse_id.level_id.id
        return res
    _fields={
        'schedule_id': fields.Many2One("clinic.schedule","Schedule"),
        'cycle_id': fields.Many2One("clinic.cycle","Cycle"),
        "nurse_id": fields.Many2One("clinic.personal","Nurse",domain=[['type','=','nurse']]),
        'level_id': fields.Many2One("clinic.personal.level","Level",function="_get_level"),
    }

ScheduleLine.register()
